## Basic Contribution Guidelines

Please make sure to follow good version control practices. Use branches to track
individual features, and try to limit to one feature per branch. Use `git rebase`
to update your branch with the latest copy of master before submitting a PR. 


### Commits

Use commits to track individual changes, and branches to track features. Using 
[`cz`](https://github.com/Woile/commitizen/) to make commits and bump versions
is a good idea, and remember to follow 
[Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/)
guidelines. PRs containing non-forming commits may be rejected until they are
modified to work more correctly with these guidelines.